Name: libcxgb3
Version: 1.3.1
Release: 2%{?dist}
Summary: Chelsio T3 iWARP HCA Userspace Driver
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/cxgb3/%{name}-%{version}.tar.gz
Source1: libcxgb3-modprobe.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libibverbs-devel >= 1.1.3, autoconf, libtool
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
Provides: libibverbs-driver.%{_arch}
Obsoletes: %{name}-devel
%description
Userspace hardware driver for use with the libibverbs InfiniBand/iWARP verbs
library.  This driver enables Chelsio iWARP capable ethernet devices.

%package static
Summary: Static version of the libcxgb3 driver
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description static
Static version of libcxgb3 that may be linked directly to an application.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
install -m 644 -D %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/modprobe.d/libcxgb3.conf
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so*
%{_sysconfdir}/libibverbs.d/*.driver
%{_sysconfdir}/modprobe.d/libcxgb3.conf
%doc AUTHORS COPYING README

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%changelog
* Wed Aug 08 2012 Doug Ledford <dledford@redhat.com> - 1.3.1-2.el5
- Bump and rebuild against latest libibverbs
- Modify Provides for libibverbs-driver to be arch specific to match
  what libibverbs expects
- Related: bz802619

* Fri Jul 20 2012 Jay Fenlason <fenlason@redhat.com> - 1.3.1-1.el5
- Update to latest upstream version
- Resolves: bz802619

* Tue Aug 23 2011 Neil Horman <nhorman@redhat.com> - 1.3.0-1.el5
- Update to latest upstream version

* Thu Feb 18 2010 Doug Ledford <dledford@redhat.com> - 1.2.5-2.el5
- Add pseudo provides of libibverbs-driver
- Related: bz559789

* Mon Dec 21 2009 Doug Ledford <dledford@redhat.com> - 1.2.5-1.el5
- Update to latest upstream version
- Compensate for libibverbs API change
- Related: bz518218

* Mon Jul 27 2009 Doug Ledford <dledford@redhat.com> - 1.2.3-1.el5
- Update to version 1.2.3 which adds support for two new adapters
- Resolves: bz513226

* Mon Jun 22 2009 Doug Ledford <dledford@redhat.com> - 1.2.2-4.el5
- Rebuild against libibverbs that isn't missing the proper ppc wmb() macro
- Related: bz506258

* Sun Jun 21 2009 Doug Ledford <dledford@redhat.com> - 1.2.2-3.el5
- Build against non-XRC libibverbs
- Related: bz506258

* Fri Apr 17 2009 Doug Ledford <dledford@redhat.com> - 1.2.2-2
- Bump and rebuild against libibverbs which now has xrc support
- Related: bz459652

* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 1.2.2-1
- Update to 1.2.2 driver
- Resolves: bz451454

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.1.4-1
- Update to 1.1.4 to match OFED 1.3
- Add a modprobe conf file in /etc/modprobe.d so that the iw_cxgb3 module
  will always be loaded after the cxgb3 net module
- Related: bz428197

* Thu Feb 14 2008 Doug Ledford <dledford@redhat.com> - 1.1.2-2
- Obsolete the old -devel package (which really was just a static
  lib, no real devel environment, hence the name change to -static)
- Resolves: bz432769

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.1.2-1
- Build against latest libibverbs
- Related: bz428197

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.1.2-0.1
- Initial driver import

